#include "robot.h"

int main( void )
{
  initialize(8, 7);
  print();
  
  bool result = true;
  
  int inventory = 0;
  
  for(int j = 0; j < getHeight(); j++)
  {
    for(int i = 0; i < getWidth(); i++)
    {
      int n = count();
      inventory += n;
      Command c = {fetch, n};
      result &= execute(c);
      
      Command d = {right, 1};
      if(i == getWidth()-1)
      {
        d.op = down;
        if(j == getHeight()-1) // letztes Feld
        {
          d.op = put;
          d.count = inventory;
        }
      }
      else if(j%2 == 1) // j ungerade
      {
        d.op = left;
      }
      
      result &= execute(d);
    }
  }
  
  print();  
  
  finalize();
  
  return 0;
}
